# Class: NoImplicitBraces

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/no_implicit_braces.coffee

## Variables Summary

rule =

      {
        name: 'no_implicit_braces',
        level: 'ignore',
        message: 'Implicit braces are forbidden',
        strict: true,
        description: "This rule prohibits implicit braces when declaring object literals.\nImplicit braces can make code more difficult to understand,\nespecially when used in combination with optional parenthesis.\n<pre>\n<code># Do you find this code ambiguous? Is it a\nmyFunction a, b, 1:2, 3:4\n\nmyFunction(a, b, {1:2, 3:4})\n</code>\n</pre>\nImplicit braces are permitted by default, since their use is\nidiomatic CoffeeScript."
      }

tokens =

      ["{"]

## Instance Method Summary

- # (void) lintToken(token, tokenApi)
- # (void) isPartOfClass(tokenApi)

## Instance Method Details

# (void) lintToken(token, tokenApi)

# (void) isPartOfClass(tokenApi)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input